aclexplode
==========

Synopsis
--------

  aclexplode is a backport of PostgreSQL 9.0 aclexplode functions to
  earlier versions of PostgreSQL. 

Description
-----------

The main purpse of aclexplode function is to convert the relacl array from
pg_class row into the new representation, that can be easily parsed or
interpreted by the user. Each result row consists of grantor and grantee OIDs,
text description of the given privilege (i.e INSERT, TRUNCATE and so on) and a
flag, defining whether the grantee is allowed grant the privilege to another
role.

This module was sponsored by Enova Financial (http://www.enova.com)

Usage
-----

postgres=# select (aclexplode(relacl)).* from pg_class where relname='test';
 grantor | grantee | privilege_type | is_grantable 
---------+---------+----------------+--------------
      10 |      10 | INSERT         | f
      10 |      10 | SELECT         | f
      10 |      10 | UPDATE         | f
      10 |      10 | DELETE         | f
      10 |      10 | TRUNCATE       | f
      10 |      10 | REFERENCES     | f
      10 |      10 | TRIGGER        | f
      10 |   16385 | INSERT         | f
      10 |   16385 | UPDATE         | f
(9 rows)

	
Support
-------

	support@commandprompt.com

Author
------

Alvaro Herrera, Command Prompt, Inc. 

Copyright and License
---------------------

Copyright (c) 2012 Command Prompt, Inc.

